%define name gretools
%define version 1.2.4
%define release 2mdk

%define localstatedir /var/lib
%define _localstatedir %localstatedir

Name:		%name
Summary:	Vocabulary building tool for GNOME
Version:	%version
Release:	%release
License:	GPL
Group:		Games/Other
Source:		http://theory.cs.iitm.ernet.in/~arvindn/gretools/1.2/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
URL:		http://theory.cs.iitm.ernet.in/~arvindn/gretools/
Buildarch:	noarch

Requires: python 
Requires: gnome-python >= 2.0.0
Requires: gnome-python-gconf
Requires: pyorbit 
Requires: pygtk2.0 
Requires: pygtk2.0-libglade 
                                                                                                               
BuildRequires: scrollkeeper 
BuildRequires: automake >= 0:1.6
BuildRequires: autoconf >= 0:2.52
BuildRequires: rpm >= 0:4.1
BuildRequires: desktop-file-utils >= 0:0.2.92

Prereq:         GConf2
Prereq:         /usr/bin/gconftool-2

BuildRequires:  pygtk2.0-devel >= %{gnome_python2_version}

%description
Gretools consists of a synonym quiz and a word guessing game.
It is very useful for preparing for word tests.

%prep
%setup -q

%build

%configure

%make 

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor gretools --delete-original \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications  \
    --add-category GNOME                     \
    --add-category Application                     \
    --add-category Education                     \
    $RPM_BUILD_ROOT%{_datadir}/applications/gretools.desktop
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING ChangeLog INSTALL README
%{_bindir}/*
%{_datadir}/gnome/help
%{_datadir}/pixmaps/gretools.png
%{_datadir}/gretools/glade/*.glade
%{_datadir}/gretools/lists/*.wl
%{_datadir}/applications/*.desktop
%{_datadir}/omf/gretools
%{_libdir}/python*/site-packages/*

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi                                                                                                               
%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%changelog
* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.2.4-2mdk
- Rebuild for new python

* Thu Sep 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4

* Tue Jun 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-2mdk
- rebuild

* Thu Feb 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3
- from Arvind Narayanan <arvindn users sourceforge net> :
	- Added epoch and some other fedora oriented changes

* Tue Jan 20 2004 Arvind Narayanan <arvindn users sourceforge net>
- Wrote Requires and Buildrequires
- updated %doc

* Fri Jan 16 2004 Arvind Narayanan <arvindn users sourceforge net>
- Copied spec file from gnome-blog
